org.eclipse.microprofile.reactive.messaging.tck.acknowledgement

## Class AsynchronousMessageProcessorAckTest.Sink

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.acknowledgement.AsynchronousMessageProcessorAckTest.Sink

Enclosing class:
  AsynchronousMessageProcessorAckTest

    @ApplicationScoped
    public static class AsynchronousMessageProcessorAckTest.Sink
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Sink()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consume(String s)`
`List<String>` `list()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Sink

    public Sink()

### Method Detail

#### consume

    public void consume(String s)

#### list

    public List<String> list()

#### reset

    public void reset()